> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/nodes.md).

# Nodes

## GET /nodes/{nodeId}/participant

> Get a participant information for a specific node in the system

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/nodes/{nodeId}/participant":{"get":{"description":"Get a participant information for a specific node in the system","operationId":"getParticipant","parameters":[{"name":"nodeId","required":true,"in":"path","description":"Node UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Participant information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParticipantDto"}}}}},"summary":"","tags":["Nodes"]}}},"components":{"schemas":{"ParticipantDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"email":{"type":"string","description":"Email of a participant","format":"email","nullable":true},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"representorCompanyCode":{"type":"string","description":"Company registration number of participant representor","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$","nullable":true},"countryCode":{"type":"string","description":"Country code of the participant","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"branchCountryCode":{"type":"string","description":"Country code of the branch","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"bic":{"type":"string","description":"Bank Identifier Code (BIC)","format":"bic","minLength":8,"maxLength":11,"pattern":"^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$"},"isLiquidityProvider":{"type":"boolean","description":"Is participant a liquidity provider in the market","default":false}},"required":["createdAt","updatedAt","name","email","leiCode","companyCode","representorCompanyCode","countryCode","branchCountryCode","institutionSectorCode","bic","isLiquidityProvider"]},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/nodes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
